#pragma once
#define DIRECT3D_VERSION         0x0900
#include "stdafx.h"
#include <d3d9.h>
#include <d3dx9math.h>
#pragma comment(lib,"d3d9")
#pragma comment(lib,"D3dx9")

#pragma comment(lib, "winmm.lib")
#include <mmsystem.h>

#include "MapManager.h"

class DxRender
{
private:
	LPDIRECT3D9	g_pD3D;
	LPDIRECT3DDEVICE9 g_pD3DDevice;

	D3DLIGHT9 light;

	MapManager* m_MapManager;

	LARGE_INTEGER m_PerformanceFrequency;
	LARGE_INTEGER m_LastFPSUpdateTick;
	double m_CurrentFPS;
	int m_FramesRendered;

	LPD3DXFONT pDxFont;
	LPD3DXSPRITE pDxSprite;
public:
	DxRender();
	~DxRender();
	bool Init(HWND hWnd, MapManager* mMapManager);
	void Release();
	void onTick();
};