#pragma once
#include "stdafx.h"
#include <d3d9.h>
#include <d3dx9math.h>
#include "MapFile.h"

#ifdef USE_FFACE
#include "FFACE4.h"
#pragma comment(lib, "FFACE.lib")
#define POL_PID 12668
#endif



class MapManager
{
private:
	#ifdef USE_FFACE
	PARTYMEMBER* ptm;
	int PlayerID;
	void* Instance;
	#endif

	LPDIRECT3DDEVICE9 g_pD3DDevice;
	MapFile* m_MapFile;
	int m_Zone;
	D3DXVECTOR3 pos;
	inline FLOAT DEGtoRAD(float angle)
	{
	  return (angle-90.0f)*3.1415926f/180.0f;
	}

	void DrawMMB(char *pp);
public:
	MapManager();
	~MapManager();
	void SetDevice(LPDIRECT3DDEVICE9 pD3DDevice){ g_pD3DDevice = pD3DDevice; }
	bool LoadMap(int ZoneID);
	void Render();
};